# gdcm::Curve Class Reference

Curve class to handle element 50xx,3000 Curve Data WARNING: This is deprecated and lastly defined in PS 3.3 - 2004. More...

`#include <gdcmCurve.h>`

Inheritance diagram for gdcm::Curve:
[legend]
Collaboration diagram for gdcm::Curve:
[legend]

List of all members.

## Public Member Functions
| Curve (Curve const &ov)
| Curve ()
| ~Curve ()
void | Decode (std::istream &is, std::ostream &os)
void | GetAsPoints (float *array) const
unsigned short | GetDataValueRepresentation () const
unsigned short | GetDimensions () const
unsigned short | GetGroup () const
unsigned short | GetNumberOfPoints () const
const char * | GetTypeOfData () const
const char * | GetTypeOfDataDescription () const
bool | IsEmpty () const
void | Print (std::ostream &) const
void | SetCurve (const char *array, unsigned int length)
void | SetCurveDescription (const char *curvedescription)
void | SetDataValueRepresentation (unsigned short datavaluerepresentation)
void | SetDimensions (unsigned short dimensions)
void | SetGroup (unsigned short group)
void | SetNumberOfPoints (unsigned short numberofpoints)
void | SetTypeOfData (const char *typeofdata)
void | Update (const DataElement &de)
## Static Public Member Functions
static unsigned int | GetNumberOfCurves (DataSet const &ds)

## Detailed Description

Curve class to handle element 50xx,3000 Curve Data WARNING: This is deprecated and lastly defined in PS 3.3 - 2004.

Examples:

- GE_DLX-8-MONO2-Multiframe-Jpeg_Lossless.dcm
- GE_DLX-8-MONO2-Multiframe.dcm
- gdcmSampleData/Philips_Medical_Images/integris_HV_5000/xa_integris.dcm
- TOSHIBA-CurveData[1-3].dcm

## Constructor & Destructor Documentation

gdcm::Curve::Curve | ( |  | ) |

gdcm::Curve::~Curve | ( |  | ) |

gdcm::Curve::Curve | ( | Curve const & | ov | ) |

## Member Function Documentation

void gdcm::Curve::Decode | ( | std::istream & | is,
|  | std::ostream & | os |
| ) |  |  |

void gdcm::Curve::GetAsPoints | ( | float * | array | ) | const

unsigned short gdcm::Curve::GetDataValueRepresentation | ( |  | ) | const

unsigned short gdcm::Curve::GetDimensions | ( |  | ) | const

unsigned short gdcm::Curve::GetGroup | ( |  | ) | const

static unsigned int gdcm::Curve::GetNumberOfCurves | ( | DataSet const & | ds | ) | `[static]`

unsigned short gdcm::Curve::GetNumberOfPoints | ( |  | ) | const

const char* gdcm::Curve::GetTypeOfData | ( |  | ) | const

const char* gdcm::Curve::GetTypeOfDataDescription | ( |  | ) | const

bool gdcm::Curve::IsEmpty | ( |  | ) | const

void gdcm::Curve::Print | ( | std::ostream & |  | ) | const`[virtual]`

Reimplemented from gdcm::Object.

void gdcm::Curve::SetCurve | ( | const char * | array,
|  | unsigned int | length |
| ) |  |  |

void gdcm::Curve::SetCurveDescription | ( | const char * | curvedescription | ) |

void gdcm::Curve::SetDataValueRepresentation | ( | unsigned short | datavaluerepresentation | ) |

void gdcm::Curve::SetDimensions | ( | unsigned short | dimensions | ) |

void gdcm::Curve::SetGroup | ( | unsigned short | group | ) |

void gdcm::Curve::SetNumberOfPoints | ( | unsigned short | numberofpoints | ) |

void gdcm::Curve::SetTypeOfData | ( | const char * | typeofdata | ) |

void gdcm::Curve::Update | ( | const DataElement & | de | ) |

The documentation for this class was generated from the following file:

- gdcmCurve.h